RNAlib-2.1.8

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions | Variables
Suboptimal structures within an energy band arround the MFE
Enumerating Suboptimal Structures
Collaboration diagram for Suboptimal structures within an energy band arround the MFE:

## Functions

SOLUTION * | subopt (char *seq, char *structure, int delta, FILE *fp)
| Returns list of subopt structures or writes to fp.
SOLUTION * | subopt_par (char *seq, char *structure, paramT *parameters, int delta, int is_constrained, int is_circular, FILE *fp)
| Returns list of subopt structures or writes to fp.
SOLUTION * | subopt_circ (char *seq, char *sequence, int delta, FILE *fp)
| Returns list of circular subopt structures or writes to fp.

## Variables

int | subopt_sorted
| Sort output by energy.
double | print_energy
| printing threshold for use with logML

## Detailed Description

## Function Documentation

SOLUTION* subopt | ( | char * | seq,
|  | char * | structure,
|  | int | delta,
|  | FILE * | fp
| ) |  |

Returns list of subopt structures or writes to fp.

This function produces all suboptimal secondary structures within 'delta' * 0.01 kcal/mol of the optimum. The results are either directly written to a 'fp' (if 'fp' is not NULL), or (fp==NULL) returned in a SOLUTION * list terminated by an entry were the 'structure' pointer is NULL.

Parameters:

  seq |
  structure |
  delta |
  fp |

Returns:

SOLUTION* subopt_circ | ( | char * | seq,
|  | char * | sequence,
|  | int | delta,
|  | FILE * | fp
| ) |  |

Returns list of circular subopt structures or writes to fp.

This function is similar to subopt() but calculates secondary structures assuming the RNA sequence to be circular instead of linear

Parameters:

  seq |
  sequence |
  delta |
  fp |

Returns: